Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"metric": "open_interest_reported_future_nonperpetual_usd",
"full_name": "Open interest, reported, future, non-perpetual, USD",
"description": "The sum of all reported open interest from non-perpetual futures markets in units of U.S. dollars.",
"product": "Market Data",
"category": "Open Interest",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1h",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
},
{
"frequency": "1d",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
}
],
"display_name": "Reported Non-Perpetual Future Open Interest"
},
{
"metric": "open_interest_reported_future_tether_margined_usd",
"full_name": "Open interest, reported, future, tether-margined, USD",
"description": "The sum of all reported open interest from futures markets where the margin asset is Tether in units of U.S. dollars.",
"product": "Market Data",
"category": "Open Interest",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1h",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
},
{
"frequency": "1d",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
}
],
"display_name": "Reported Tether-Margined Future Open Interest"
}
]
}Catalog (deprecated)
Available exchange-asset metrics
deprecated
Returns a list of available exchange-asset metrics along with information for them like description, category and exchange-asset pairs for which a metric is available.
GET
/
catalog
/
exchange-asset-metrics
Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog/exchange-asset-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"metric": "open_interest_reported_future_nonperpetual_usd",
"full_name": "Open interest, reported, future, non-perpetual, USD",
"description": "The sum of all reported open interest from non-perpetual futures markets in units of U.S. dollars.",
"product": "Market Data",
"category": "Open Interest",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1h",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
},
{
"frequency": "1d",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
}
],
"display_name": "Reported Non-Perpetual Future Open Interest"
},
{
"metric": "open_interest_reported_future_tether_margined_usd",
"full_name": "Open interest, reported, future, tether-margined, USD",
"description": "The sum of all reported open interest from futures markets where the margin asset is Tether in units of U.S. dollars.",
"product": "Market Data",
"category": "Open Interest",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1h",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
},
{
"frequency": "1d",
"exchange_assets": [
"binance-1inch",
"binance-ada",
"binance-algo"
]
}
],
"display_name": "Reported Tether-Margined Future Open Interest"
}
]
}
